{% extends 'admin/_layout/layout_admin.html.twig' %}

{% block title %}Create a subscription {{ parent() }}{% endblock %}

{% block content %}

    <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
        <h1 class="h2">Create a subscription</h1>
    </div>

    {% embed 'admin/_component/flash.html.twig' %}{% endembed %}

    {{ form_start(createSubscriptionForm) }}
    {{ form_rest(createSubscriptionForm) }}
    <button type="submit" class="btn btn-primary">Create</button>
    {{ form_end(createSubscriptionForm) }}

    <h2 class="mt-5">Subscription List</h2>
    <div class="table-responsive">
        <table class="table table-striped table-sm">
            <thead>
            <tr>
                <th>#</th>
                <th>Customer</th>
                <th>Plan</th>
                <th>Status</th>
                <th>Created On</th>
            </tr>
            </thead>
            <tbody>

            {% for subscription in subscriptions %}
            <tr>
                <td>{{ subscription.subscriptionId }}</td>
                <td>{{ subscription.customerId }}</td>
                <td>{{ subscription.planId }}</td>
                <td>{{ subscription.status }}</td>
                <td>{{ subscription.createdAt | date('d-m-Y H:i:s') }}</td>
            </tr>
            {% endfor %}
            </tbody>
        </table>
    </div>

{% endblock %}
